{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <title>Najmialy</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <link rel="shortcut icon" href="{% static '/story7/images/logo.jpg' %}">
        <style>
            .accordion {
                cursor: pointer;
                padding: 18px;
                width: 100%;
                text-align: left;
                outline: none;
                transition: 0.4s;
                background-color: #E79341;
                color: #14130F;
                font-weight: bold;
                font-size: 18px;
            }
            .active, .accordion:hover {
                background-color: #ccc;
                color: #E79341; 
            }
            .panel {
                padding: 18px 18px 0 18px;
                display: none;
                background-color: white;
                overflow: hidden;
                border-radius: 12px;
            }
            .jumbotron{
                background-image: url("/static/story7/images/foto.jpg");
                background-repeat: no-repeat;
                background-size: cover;
                opacity: 0.7;
            }
            .jumbotron:hover{
                opacity: 1.0;
            }
            .jb{
                padding: 5px;
                text-shadow: 0px 2px 3px #000000;
            }
            h1.hello{
                font-size: 60px;
                text-align: center;
                color: white;
                letter-spacing: 5px;
                font-weight: bold;
            }
            body{
                background-color: #14130F;
            }
            .btn{
                border-radius: 12px;
                border: 2px solid #332F2C;
            }
            .arrowUp{
                size: 3x;
            }
            a{
                float: right;
                margin-right: 20px;
                color: #14130F;
            }
            a:hover{
                color: #E79341;
            }
            .jbp{
                color: white;
                text-align: center;
                font-size: 25px;
                font-weight: bold;
                font-style: italic;
            }
            .jarak{
                margin-bottom: 10px;
            }
            nav.nav{
                font-size: 13px;
            }
            a.nav-link{
                color: #E79341;
                padding: 15px 20px;
            }
            a.active{
                background-color: #E79341;
                color: #ccc;
            }
            a.nav-link:hover{
                color: #ccc;
            }
            a.active:hover{
                color: #14130F;
            }
        </style>
    </head>
    <body>
        <nav class="nav">
            <a class="nav-link active" href="../">Home</a>
            <a class="nav-link" href="/Libra-ry/">Libra-ry</a>

            {% if user.is_authenticated %}
            <div class="nav-right">
                <a class="nav-link" href="/logout/">Logout</a>
            </div>
            {% else %}
            <div class="nav-right">
                <a class="nav-link" href="/login/">Login</a>
            </div>

            {% endif %}
            {% comment %} <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a> {% endcomment %}
        </nav>
        <div class="jumbotron jumbotron-fluid">
            <div class="container jb" style="opacity: 1.0;">
                <h1 class="hello">H E L L O !</h1>
                <p class="jbp">{{ user.get_username }}</p>
            </div>
        </div>
        <div class="container forAccordion">
            <div class="jarak">
                <button class="accordion btn">
                    Activity
                    <a class="reorder-down"><i class="fa fa-chevron-down fa-lg" aria-hidden="true"></i></a><a class="reorder-up"><i class="fa fa-chevron-up fa-lg" aria-hidden="true"></i></a>
                </button>
                <div class="panel">
                    <p>Merenungkan nasib kuliah yang menyedihkan dan banyak cobaan</p>
                </div>
            </div>
            <div class="jarak">
                <button class="accordion btn">
                    Experience
                    <a class="reorder-down"><i class="fa fa-chevron-down fa-lg" aria-hidden="true"></i></a><a class="reorder-up"><i class="fa fa-chevron-up fa-lg" aria-hidden="true"></i></a>
                </button>
                <div class="panel">
                    <p>BEM Fasilkom UI 2020 - Staf biro PSDM</p>
                    <p>Pemira IKM Fasilkom UI 2020 - PJ Media, Kreatif, dan Dokumentasi</p>
                </div>
            </div>
            <div class="jarak">
                <button class="accordion btn">
                    Achievement
                    <a class="reorder-down"><i class="fa fa-chevron-down fa-lg" aria-hidden="true"></i></a><a href="#"class="reorder-up"><i class="fa fa-chevron-up fa-lg" aria-hidden="true"></i></a>
                </button>
                <div class="panel">
                    <p>Menang sabpel 1</p>
                </div>
            </div>
            <div class="jarak">
                <button class="accordion btn">
                    Habit
                    <a class="reorder-down"><i class="fa fa-chevron-down fa-lg" aria-hidden="true"></i></a><a href="#"class="reorder-up"><i class="fa fa-chevron-up fa-lg" aria-hidden="true"></i></a>
                </button>
                <div class="panel">
                    <p>Tidur, Figma, Makan, Scroll FYP</p>
                </div>
            </div>
        </div>

        <script>
            var acc = document.getElementsByClassName("accordion");
            var i;
            for (i = 0; i < acc.length; i++) {
            acc[i].addEventListener("click", function() {
                this.classList.toggle("active");
                var panel = this.nextElementSibling;
                if (panel.style.display === "block") {
                panel.style.display = "none";
                } else {
                panel.style.display = "block";
                }
            });
            }
            $(".reorder-up").click(function(){
            var $current = $(this).closest('div')
            var $previous = $current.prev('div');
            if($previous.length !== 0){
                $current.insertBefore($previous);
            }
            return false;
            });

            $(".reorder-down").click(function(){
            var $current = $(this).closest('div')
            var $next = $current.next('div');
            if($next.length !== 0){
                $current.insertAfter($next);
            }
            return false;
            });
        </script>
    </body>
</html>
